org.wildfly.swarm.topology

## Class TopologyMessages_$logger

- java.lang.Object
- - DelegatingBasicLogger
  - - org.wildfly.swarm.topology.TopologyMessages_$logger

- All Implemented Interfaces:
    Serializable, TopologyMessages

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2018-03-08T14:02:53-0700")
      public class TopologyMessages_$logger
      extends DelegatingBasicLogger
      implements TopologyMessages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.wildfly.swarm.topology.TopologyMessages

      `MESSAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyMessages_$logger(Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `errorFiringEvent(String listenerClass, Throwable t)`
    `void` | `errorOnCheck(String clientId, Throwable cause)`
    `void` | `errorStartingAdvertisement(Throwable cause)`
    `void` | `errorStoppingAdvertisement(Throwable cause)`
    `void` | `notRegistered(String clientId, Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologyMessages_$logger

          public TopologyMessages_$logger(Logger log)

  - ### Method Detail

    - #### errorFiringEvent

          public final void errorFiringEvent(String listenerClass,
                                             Throwable t)

      Specified by:
        `errorFiringEvent` in interface `TopologyMessages`

    - #### notRegistered

          public final void notRegistered(String clientId,
                                          Throwable t)

      Specified by:
        `notRegistered` in interface `TopologyMessages`

    - #### errorStartingAdvertisement

          public final void errorStartingAdvertisement(Throwable cause)

      Specified by:
        `errorStartingAdvertisement` in interface `TopologyMessages`

    - #### errorStoppingAdvertisement

          public final void errorStoppingAdvertisement(Throwable cause)

      Specified by:
        `errorStoppingAdvertisement` in interface `TopologyMessages`

    - #### errorOnCheck

          public final void errorOnCheck(String clientId,
                                         Throwable cause)

      Specified by:
        `errorOnCheck` in interface `TopologyMessages`

Copyright © 2018 JBoss by Red Hat. All rights reserved.